#!/bin/bash

# Print each line, exit on error
set -ev

# Install the built package
conda create --yes -n docenv python=$CONDA_PY
source activate docenv
conda install -yq --use-local yank-dev --file docs/requirements.txt

# Install doc requirements
#conda install -yq --file docs/requirements.txt

# Install packages with no conda recipe.
pip install -I msmb_theme

# Make docs
cd docs && make html && cd -

# Move the docs into a versioned subdirectory
python devtools/travis-ci/set_doc_version.py

# Prepare versions.json
python devtools/travis-ci/update_versions_json.py
